Package com.smartgwt.client.data

# Class GroupSpecifier

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.data.GroupSpecifier

All Implemented Interfaces:
  `HasHandlers`

public class GroupSpecifier extends DataClass
Class defining the details of a single group operation

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupSpecifier(JavaScriptObject jsObj)`
  `GroupSpecifier(String property)`
  `GroupSpecifier(String property, String grouping)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GroupSpecifier[]`
  `convertToArray(JavaScriptObject nativeArray)`
  `static GroupSpecifier[]`
  `convertToArray(String groupByString)`
  `String`
  `getField()`
  The fieldName to which this groupSpecifier applies
  `String`
  `getGrouping()`
  The groupingMode applied to the associated field.
  `static GroupSpecifier`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `void`
  `setField(String field)`
  The fieldName to which this groupSpecifier applies
  `void`
  `setGrouping(String grouping)`
  The groupingMode to applied to associated field.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupSpecifier

    public GroupSpecifier(String property)

  - ### GroupSpecifier

    public GroupSpecifier(String property, String grouping)

  - ### GroupSpecifier

    public GroupSpecifier(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static GroupSpecifier getOrCreateRef(JavaScriptObject jsObj)

  - ### setGrouping

    public void setGrouping(String grouping)
    The groupingMode to applied to associated field.
    Parameters:
      `grouping` - the groupingMode

  - ### getGrouping

    public String getGrouping()
    The groupingMode applied to the associated field.
    Returns:
      the groupingMode

  - ### setField

    public void setField(String field)
    The fieldName to which this groupSpecifier applies
    Parameters:
      `field` - the field name

  - ### getField

    public String getField()
    The fieldName to which this groupSpecifier applies
    Returns:
      the field name

  - ### convertToArray

    public static GroupSpecifier[] convertToArray(String groupByString)

  - ### convertToArray

    public static GroupSpecifier[] convertToArray(JavaScriptObject nativeArray)